<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_f457e604fe9e77b3f884b013" . "afe0c10c" => base64_decode("Y3N2X2V" . "4cG9ydA" . "=="), "_121c102c9c9ad9bf6" . "1745404c146312c" => base64_decode("d29ya2Zsb3d" . "fc2VsZWN0"), "_3893085d5d4dd5f7f80" . "042847fc8fd66" => base64_decode("Y29tbW9uLmhlYWRlci53" . "b3JrZmxvdw=="), "_aa7e860da1acd4e767e0df9d" . "7d407380" => base64_decode("ZGF0ZV" . "9jcmVh" . "dGVk"), "_8f0655477613" . "5669af1f9fe25" . "98af4dc" => base64_decode("V29ya" . "2Zsb3" . "c="), "_c240fbf9dae3f14" . "bb9192babf3ef673" . "1" => base64_decode("ZGF0Z" . "V9tb2" . "RpZml" . "lZA=="), "_52ff3d2c2e521e8" . "d4e39bc762ea72a7" . "0" => base64_decode("UHJvY2Vzc2VkIGRvY3" . "VtZW50cw=="), "_21977da3ae6" . "4465ec85f89d" . "fb0b6dcf2" => base64_decode("ZG9jdW1lbnRzLmhlYWRlci5wcm9jZX" . "NzZWRfZG9jdW1lbnRz"), "_0c5123aa744f69bbc0e8b3ea" . "2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "_1d81e407" . "8b112d9a9" . "d9f9dd21f" . "ea4460" => base64_decode("Li4vZG9jdW1lbnRzL2NsYXN" . "zZXMvV0ZTdGF0LnBocA=="));
require_once $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_1d81e4078b112d9a" . "9d9f9dd21fea4460"];





class ReportSummaryWorkflow extends ReportCommon
{
    var $start_created;
    var $start_modified;
    var $end_created;
    var $end_modified;
    var $workflow_id;
    function InitControls(\Psr\Http\Message\ServerRequestInterface $request)
    {
        $this->_initControls(array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_c240fbf9dae3f14bb9192babf3ef673" . "1"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_aa7e860da1acd4e767" . "e0df9d7d407380"], $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_f457e604fe9e77b3f8" . "84b013afe0c10c"], $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_121c102c9c9ad9b" . "f61745404c146312" . "c"]), $request);
        $this->start_created = $this->controls->date_created->GetStartDateObject();
        $this->end_created = $this->controls->date_created->GetEndDateObject();
        $this->start_modified = $this->controls->date_modified->GetStartDateObject();
        $this->end_modified = $this->controls->date_modified->GetEndDateObject();
        if ($this->start_created === null) {
            $this->start_created = new DateBigBang();
        }
        if ($this->end_created === null) {
            $this->end_created = new DateArmageddon();
        }
        if ($this->start_modified === null) {
            $this->start_modified = new DateBigBang();
        }
        if ($this->end_modified === null) {
            $this->end_modified = new DateArmageddon();
        }
        $this->csv_separator = $this->controls->csv_export->GetSeparator();
        $this->workflow_id = $this->controls->workflow_select->GetWFId();
        $this->workflow_id = $this->workflow_id > 0 ? $this->workflow_id : null;
    }
    function InitHeaders()
    {
        $this->column_headers = array(array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_8f06554776135669af1" . "f9fe2598af4dc"], $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_3893085d5d4dd5f7f80042847fc8" . "fd66"])), array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_52ff3d2c2e521e8d4e39b" . "c762ea72a70"], $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_21977da3ae64" . "465ec85f89dfb" . "0b6dcf2"])));
        $this->column_types = array(new CommonListOutputText(), new CommonListOutputText());
    }
    function GetNumRows()
    {
        return WFStat::GetSummaryNumRows($this->workflow_id);
    }
    function GetData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        $_343a395319323dd7609bcbc465b4d034 = WFStat::GetSummaryReportArray($this->start_created->getDate(DATE_FORMAT_TIMESTAMP), $this->end_created->getDate(DATE_FORMAT_TIMESTAMP), $this->start_modified->getDate(DATE_FORMAT_TIMESTAMP), $this->end_modified->getDate(DATE_FORMAT_TIMESTAMP), $_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4, $this->workflow_id);
        $values = array();
        foreach ($_343a395319323dd7609bcbc465b4d034 as $_b8cfc2e06d9d1fec1893ea4a054002bf) {
            $values[] = array($_b8cfc2e06d9d1fec1893ea4a054002bf[0], $_b8cfc2e06d9d1fec1893ea4a054002bf[1]);
        }
        return $values;
    }
}